curl --request PUT \
--url https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"setAsPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
setAsPrimary: '<boolean>',
startMonth: '<integer>',
startDay: '<integer>',
endMonth: '<integer>',
endDay: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId}"
payload = {
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"setAsPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"label\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postal\": \"<string>\",\n \"country\": \"<string>\",\n \"setAsPrimary\": \"<boolean>\",\n \"startMonth\": \"<integer>\",\n \"startDay\": \"<integer>\",\n \"endMonth\": \"<integer>\",\n \"endDay\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal: '<string>',
country: '<string>',
setAsPrimary: '<boolean>',
startMonth: '<integer>',
startDay: '<integer>',
endMonth: '<integer>',
endDay: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 400123,
"label": "Home",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"country": "United States",
"isPrimary": true,
"canBePrimary": true,
"startMonth": null,
"startDay": null,
"endMonth": null,
"endDay": null,
"createDateTimeUtc": "2018-09-15T14:22:31Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Update a Contact Address
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact address identifier.
Body
The label for the address, for example Home or Work.
The first line of the street address.
The second line of the street address.
The city of the address.
The state or province of the address.
The postal or ZIP code of the address.
The country of the address.
When true, this record becomes the primary one for the contact, replacing any existing primary.
The month the seasonal address becomes active, from 1 to 12.
The day of the month the seasonal address becomes active.
The month the seasonal address stops being active, from 1 to 12.
The day of the month the seasonal address stops being active.
Response
OK
The unique identifier of the record in Virtuous.
When true, this is the primary record for the contact.
When true, this record is eligible to be made the primary one.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Was this page helpful?